#include <iostream>

using namespace std;
typedef struct
{
    int prva;
    int druga;
}Granica;
typedef struct
{
    int prvaa;
    int drugaa;
    int tezina;
}Pitanje;
int main()
{
    int n,m,br;
    cin>>n;
    cin>>m;
    Granica a[n];
    Pitanje b[m];
    for(int i=1;i<=n;i++)
    {
        cin>>a[i].prva;
        cin>>a[i].druga;
    }
    for(int i=1;i<=m;i++)
    {
        cin>>b[i].prvaa;
        cin>>b[i].drugaa;
        cin>>b[i].tezina;
    }
    for(int i=1;i<=m;i++)
    {
        br=0;
        for(int ii=b[i].prvaa;ii<=b[i].drugaa;ii++)
        {
            if(b[i].tezina>=a[ii].prva && b[i].tezina<=a[ii].druga)
                br++;
        }
        cout<<br<<endl;
    }
    return 0;
}